RestSource Class
A copy activity Rest service source.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.mgmt.datafactory.models._models_py3.CopySourceRestSource
Constructor
RestSource(*, additional_properties: Optional[Dict[str, Any]] = None, source_retry_count: Optional[Any] = None, source_retry_wait: Optional[Any] = None, max_concurrent_connections: Optional[Any] = None, disable_metrics_collection: Optional[Any] = None, request_method: Optional[Any] = None, request_body: Optional[Any] = None, additional_headers: Optional[Any] = None, pagination_rules: Optional[Any] = None, http_request_timeout: Optional[Any] = None, request_interval: Optional[Any] = None, additional_columns: Optional[Any] = None, **kwargs)
Variables
Unmatched properties from the message are deserialized to this collection.
- type
- str
Required. Copy source type.Constant filled by server.
- source_retry_count
- any
Source retry count. Type: integer (or Expression with resultType integer).
- source_retry_wait
- any
Source retry wait. Type: string (or Expression with resultType string), pattern: ((d+).)?(dd):(60|([0-5][0-9])):(60|([0-5][0-9])).
- max_concurrent_connections
- any
The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).
- disable_metrics_collection
- any
If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).
- request_method
- any
The HTTP method used to call the RESTful API. The default is GET. Type: string (or Expression with resultType string).
- request_body
- any
The HTTP request body to the RESTful API if requestMethod is POST. Type: string (or Expression with resultType string).
- additional_headers
- any
The additional HTTP headers in the request to the RESTful API. Type: string (or Expression with resultType string).
- pagination_rules
- any
The pagination rules to compose next page requests. Type: string (or Expression with resultType string).
- http_request_timeout
- <xref:http_request_timeout>)<xref: >(any
The timeout (TimeSpan) to get an HTTP response. It is the timeout to get a response, not the timeout to read response data. Default value: 00:01:40. Type: string (or Expression with resultType string), pattern: ((d+).)?(dd):(60|([0-5][0-9])):(60|([0-5][0-9])).
- request_interval
- any
The time to await before sending next page request.
- additional_columns
- any
Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).
Feedback
Submit and view feedback for